while true
do
    cas=$(date +"%s")
    if node . $neco
    then
        echo stahuju update
        git stash
        git pull
        npm i --omit=dev
        tsc >/dev/null
        unset $neco
    else
        echo exit code byl $?
        novejcas=$(date +"%s")
        neco=$(($novejcas-$cas))
        if (($cas+86400<$novejcas))
        then
            echo Poslo to, let\'s restart
        else
            echo Poslo to absolutne, seru na to
            break
        fi
    fi
done
